%%% adada.cls: class file for ADADA papers
%%% (C) 2016 PLAIN Corporation
%%% 2016-09-23: First version
%
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{adada}[2016/09/23 v1.0.2 Class for ADADA papers: (C) 2016 PLAIN Corp.]
\def\@ptsize{}
\newif\if@restonecol
\paperheight 297mm
\paperwidth  210mm\relax
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\newif\if@artpaper
\DeclareOption{paper}{\@artpaperfalse \def\@papertype{research}}
\DeclareOption{art}{\@artpapertrue    \def\@papertype{art}}
\ExecuteOptions{twoside,twocolumn,final,paper}
\newif\iftombow
\DeclareOption{tombo}{\tombowtrue}
\DeclareOption{tombow}{\tombowtrue}
\ProcessOptions
\def\rmdefault{ptm}
\IfFileExists{ot1ptm.fd}%
   {\IfFileExists{t1ptm.fd}{\input{t1ptm.fd}}{\input{ot1ptm.fd}}}%
   {\def\rmdefault{cmr}}
\def\sfdefault{phv}
\IfFileExists{ot1phv.fd}%
   {\IfFileExists{t1phv.fd}{\input{t1phv.fd}}{\input{ot1phv.fd}}}%
   {\def\rmdefault{cmss}}
\def\ttdefault{pcr}
\IfFileExists{ot1pcr.fd}%
   {\IfFileExists{t1pcr.fd}{\input{t1pcr.fd}}{\input{ot1pcr.fd}}}%
   {\def\rmdefault{cmtt}}
\DeclareRobustCommand*\normalsize{%
   \@setfontsize\normalsize\@ixpt\@xiipt
   \let\@listi\@listI}
\normalsize
\newdimen\defaultbaselineskip
\defaultbaselineskip\baselineskip
\DeclareRobustCommand*\small{\@setfontsize\small\@viipt\@xiipt}
\DeclareRobustCommand*\footnotesize{\@setfontsize\footnotesize\@viipt\@xpt}
\DeclareRobustCommand*\scriptsize{\@setfontsize\scriptsize\@vipt\@viiipt}
\DeclareRobustCommand*\tiny{\@setfontsize\tiny\@vpt\@viipt}
\DeclareRobustCommand*\large{\@setfontsize\large\@xpt\@xiipt}
\DeclareRobustCommand*\Large{\@setfontsize\Large\@xiipt{16}}
\DeclareRobustCommand*\LARGE{\@setfontsize\LARGE{14}{18}}
\DeclareRobustCommand*\huge{\@setfontsize\huge{18}{24}}
\DeclareRobustCommand*\Huge{\@setfontsize\Huge{24}{32}}
\parindent\z@
\smallskipamount .25\defaultbaselineskip \@plus \p@ \@minus \p@
\medskipamount   .5\defaultbaselineskip  \@plus 2\p@ \@minus 1.5\p@
\bigskipamount   \defaultbaselineskip    \@plus 3\p@ \@minus 2\p@
\headheight \defaultbaselineskip
\headsep    2\defaultbaselineskip
\settoheight\topskip{$\mbox{A}^{\hbox{\scriptsize 2}}$}
\footskip   2\defaultbaselineskip
\maxdepth .5\defaultbaselineskip
\def\@sidemargin@default{18mm}
\dimen@ -\@sidemargin@default\relax
\multiply\dimen@\tw@
\advance\dimen@\paperwidth
\textwidth\dimen@
\dimen@ \@sidemargin@default\relax
\advance\dimen@ -1in\relax
\oddsidemargin\dimen@
\evensidemargin\dimen@
\def\@verticalmargin@default{25mm}
\dimen@ -\@verticalmargin@default\relax
\multiply\dimen@\tw@
\advance\dimen@\paperheight
\textheight\dimen@
\dimen@ \@verticalmargin@default\relax
\advance\dimen@-\headheight
\advance\dimen@-\headsep
\advance\dimen@-1in\relax
\topmargin\dimen@
\marginparsep   3mm
\marginparpush .5\defaultbaselineskip
\marginparwidth 10mm
\footnotesep 7\p@%%% .7 * (baselineskip in \footnotesize)
\skip\footins \defaultbaselineskip \@plus 4\p@ \@minus 2\p@
\floatsep     \defaultbaselineskip \@plus .5\defaultbaselineskip
                                   \@minus .5\defaultbaselineskip
\textfloatsep 2\defaultbaselineskip \@plus \defaultbaselineskip
                                    \@minus .5\defaultbaselineskip
\intextsep    2\defaultbaselineskip \@plus \defaultbaselineskip
                                    \@minus .5\defaultbaselineskip
\dblfloatsep     \floatsep
\dbltextfloatsep \textfloatsep
\@fptop \z@skip
\@fpsep \defaultbaselineskip \@plus 2fil
\@fpbot \z@ \@plus 1fil
\@dblfptop \z@skip
\@dblfpsep \defaultbaselineskip \@plus 2fil
\@dblfpbot \z@ \@plus 1fil
\partopsep \z@skip
\def\@listi{\leftmargin\leftmargini
   \parsep  \z@skip
   \topsep  \z@skip
   \itemsep \z@skip}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii
   \advance\labelwidth-\labelsep
   \topsep \z@skip
   \parsep \z@skip
   \itemsep \z@skip}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii
   \advance\labelwidth-\labelsep}
\def\@listiv{\leftmargin\leftmarginiv
   \labelwidth\leftmarginiv
   \advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
   \labelwidth\leftmarginv
   \advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
   \labelwidth\leftmarginvi
   \advance\labelwidth-\labelsep}
\def\@trivlist{%
   \if@noskipsec \leavevmode \fi
   \@topsepadd\topsep
   \ifvmode
      \advance\@topsepadd \partopsep
   \else
      \unskip \par
   \fi
   \if@inlabel
      \@noparitemtrue
      \@noparlisttrue
   \else
      \if@newlist \@noitemerr \fi
      \@noparlistfalse
      \@topsep \@topsepadd
   \fi
   \advance\@topsep\parskip
   \if@nobreak \advance\@topsepadd\@@parskip \fi
   \leftskip\z@skip
   \rightskip\@rightskip
   \parfillskip\@flushglue
   \par@deathcycles\z@
   \@setpar{%
      \if@newlist
        \advance\par@deathcycles \@ne
        \ifnum \par@deathcycles >\@m
           \@noitemerr
           {\@@par}%
        \fi
     \else
        {\@@par}%
     \fi}%
   \global\@newlisttrue
   \@outerparskip\parskip}
\lineskip \p@
\normallineskip \p@
\def\baselinestretch{}
\parskip \defaultbaselineskip \@plus \p@ \@minus.5\p@
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{5}
\def\topfraction{.9}
\setcounter{bottomnumber}{5}
\def\bottomfraction{.9}
\setcounter{totalnumber}{10}
\def\textfraction{.1}
\def\floatpagefraction{.8}
\setcounter{dbltopnumber}{5}
\def\dbltopfraction{.9}
\def\dblfloatpagefraction{.8}
\def\ps@plain{%
   \let\@oddhead\@empty
   \let\@evenhead\@empty
   \def\@oddfoot{\hfill \small \thepage\hfill}%
   \let\@evenfoot\@oddfoot
   \let\@mkboth\@gobbletwo}
\def\ps@headings{%
   \let\@oddfoot\@empty
   \let\@evenfoot\@empty
   \def\@evenhead{\small \thepage\quad \leftmark\hfill}%
   \def\@oddhead{\hfill \small \rightmark\quad\thepage}%
   \let\@mkboth\@gobbletwo}
\setcounter{secnumdepth}{3}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\def\thesection{\@arabic\c@section}
\def\thesubsection{\thesection.\@arabic\c@subsection}
\def\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\def\theparagraph{\thesubsubsection.\@arabic\c@paragraph}
\def\thesubparagraph{\theparagraph.\@arabic\c@subparagraph}
\def\section{\@startsection{section}{1}{\z@}%
   {\defaultbaselineskip \@plus.5\p@ \@minus.5\p@}%
   {1sp}%
   {\normalfont\Large\bfseries}}
\def\subsection{\@startsection{subsection}{2}{\z@}%
   {\defaultbaselineskip \@plus.5\p@ \@minus.5\p@}%
   {1sp}%
   {\normalfont\large\bfseries}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}%
   {\defaultbaselineskip \@plus.5\p@ \@minus.5\p@}%
   {1sp}%
   {\normalfont\normalsize\bfseries}}
\def\paragraph{\@startsection{paragraph}{4}{\z@}%
   {\defaultbaselineskip \@plus.5\p@ \@minus.5\p@}%
   {1sp}%
   {\normalfont\normalsize\bfseries}}
\def\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
   {\defaultbaselineskip \@plus.5\p@ \@minus.5\p@}%
   {1sp}%
   {\normalfont\normalsize\bfseries}}
\newskip\@@parskip
\@@parskip\parskip
\def\@afterheading{%
   \@nobreaktrue
   \@@parskip\parskip
   \parskip\z@skip
   \everypar{%
      \parskip\@@parskip
      \if@nobreak
         \@nobreakfalse
         \clubpenalty \@M
         \if@afterindent \else {\setbox\z@\lastbox}\fi
      \else
         \clubpenalty\@clubpenalty
         \everypar{}%
      \fi}}
\leftmargini 2em
\leftmargin  \leftmargini
\leftmarginii  2em
\leftmarginiii 2em
\leftmarginiv  2em
\leftmarginv   2em
\leftmarginvi  2em
\labelsep  .5em
\dimen@\leftmargini
\advance\dimen@-\labelsep
\labelwidth \dimen@
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\def\theenumi{\@arabic\c@enumi}
\def\theenumii{\@alph\c@enumii}
\def\theenumiii{\@roman\c@enumiii}
\def\theenumiv{\@Alph\c@enumiv}
\def\labelenumi{\theenumi.}
\def\labelenumii{(\theenumii)}
\def\labelenumiii{\theenumiii.}
\def\labelenumiv{\theenumiv.}
\def\p@enumii{\theenumi}
\def\p@enumiii{\theenumi(\theenumii)}
\def\p@enumiv{\p@enumiii\theenumiii}
\def\labelitemi{\textbullet}
\def\labelitemii{\normalfont\bfseries \textendash}
\def\labelitemiii{\textasteriskcentered}
\def\labelitemiv{\textperiodcentered}
\newenvironment{description}
   {\list{}{\labelwidth\z@ \itemindent-\leftmargin
    \let\makelabel\descriptionlabel}}
   {\endlist}
\def\descriptionlabel#1{\hspace\labelsep \normalfont\bfseries #1}
\newenvironment{verse}
   {\let\\\@centercr
    \list{}{\itemsep      \z@
            \itemindent   -1.5em%
            \listparindent\itemindent
            \rightmargin  \leftmargin
            \advance\leftmargin 1.5em}%
    \item\relax}
   {\endlist}
\newenvironment{quotation}
   {\list{}{\listparindent \z@skip
            \itemindent    \z@skip
            \rightmargin   \z@skip
            \parsep        \defaultbaselineskip \@plus\p@}%
    \item\relax}
   {\endlist}
\newenvironment{quote}
   {\list{}{\listparindent \z@skip
            \itemindent    \z@skip
            \rightmargin   \z@skip
            \parsep        \defaultbaselineskip \@plus\p@}%
    \item\relax}
   {\endlist}
\def\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \gdef\thesection{A.\@arabic\c@section}}
\arraycolsep 5\p@
\tabcolsep   5\p@
\arrayrulewidth .4\p@
\doublerulesep 2\p@
\tabbingsep\labelsep
\skip\@mpfootins = \skip\footins
\fboxsep  3\p@
\fboxrule .4\p@
\abovedisplayskip .5\defaultbaselineskip \@plus3\p@ \@minus2\p@
\abovedisplayshortskip \abovedisplayskip
\belowdisplayskip .5\defaultbaselineskip \@plus3\p@ \@minus2\p@
\belowdisplayshortskip \belowdisplayskip
\def\theequation{\@arabic\c@equation}
\def\eqnarray{%
   \stepcounter{equation}%
   \def\@currentlabel{\p@equation\theequation}%
   \global\@eqnswtrue
   \m@th
   \global\@eqcnt\z@
   \tabskip\@centering
   \let\\\@eqncr
   $$\everycr{}\halign to\displaywidth\bgroup
       \hskip\@centering$\displaystyle\tabskip\z@skip{##}$\@eqnsel
      &\global\@eqcnt\@ne\hfil${{}##{}}$\hfil
      &\global\@eqcnt\tw@ $\displaystyle{##}$\hfil\tabskip\@centering
      &\global\@eqcnt\thr@@ \hb@xt@\z@\bgroup\hss##\egroup
         \tabskip\z@skip
      \cr}
\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\figurename{Figure}
\def\figureshortname{Fig.}
\def\fnum@figure{%
   \if@useshortlabel \figureshortname\else \figurename\fi \nobreakspace\thefigure}
\newenvironment{figure}
   {\@float{figure}}
   {\end@float}
\newenvironment{figure*}
   {\@dblfloat{figure}}
   {\end@dblfloat}
\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\tablename{Table}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
   {\@float{table}}
   {\end@float}
\newenvironment{table*}
   {\@dblfloat{table}}
   {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\abovecaptionskip \z@
\belowcaptionskip \z@
\newif\if@useshortlabel \@useshortlabelfalse
\def\caption{%
   \@ifstar{\@useshortlabeltrue\@@caption}%
           {\@useshortlabelfalse\@@caption}}
\def\@@caption{%
   \ifx\@captype\@undefined
      \@latex@error{\noexpand\caption outside float}\@ehd
      \expandafter\@gobble
   \else
      \refstepcounter\@captype
      \expandafter\@firstofone
   \fi
   {\@dblarg{\@caption\@captype}}}
\long\def\@makecaption#1#2{%
   \vskip\abovecaptionskip
   \setbox\tw@\hbox{\normalsize\bfseries #1\enspace}%
   \setbox4\hbox{\normalsize #2}%
   \dimen@\wd4 \advance\dimen@\wd\tw@
   \ifdim\dimen@>\hsize
      \@tempdima\hsize \advance\@tempdima-\wd\tw@
      \setbox\z@\vbox{\hsize\@tempdima
         \@parboxrestore \normalsize
         \unhbox4}%
      \global\setbox\@ne\vtop{}%
      \setbox\z@\vbox{%
         \dimen@\z@ \unvcopy\z@ \@makecaption@get@boxsize
         \ifdim\dimen@>\@tempdima \dimen@\@tempdima \fi
         \unvbox\z@ \@makecaption@reconstruct@box}%
      \global\@minipagefalse
      \hb@xt@\hsize{\hfil\box\tw@ \box\@ne\hfil}%
   \else
     \global\@minipagefalse
     \hb@xt@\hsize{\hfil\box\tw@\box4\hfil}%
   \fi
   \vskip\belowcaptionskip}
\def\@floatboxreset{%
   \reset@font
   \normalsize
   \@setminipage
   \def\@tempa{figure}%
   \ifx\@captype\@tempa \abovecaptionskip 2\p@
   \else                \belowcaptionskip 2\p@
   \fi}
\def\@makecaption@get@boxsize{%
   \unskip\unpenalty\unskip\unpenalty
   \setbox\tw@\lastbox
   \ifvoid\tw@\else
      \setbox\tw@\hbox{\unhbox\tw@}%
      \ifdim\dimen@<\wd\tw@ \dimen@\wd\tw@ \fi
      \expandafter\@makecaption@get@boxsize
   \fi}
\def\@makecaption@reconstruct@box{%
   \@tempdima\lastskip \unskip\unpenalty
   \advance\@tempdima\lastskip \unskip\unpenalty
   \setbox\tw@\lastbox
   \ifvoid\tw@\else
      \global\setbox\@ne\vtop{%
         \hbox to\dimen@{\unhbox\tw@}%
         \vskip\@tempdima
         \unvbox\@ne}%
      \expandafter\@makecaption@reconstruct@box
   \fi}
%
%%% only for compatibility
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
%%%
\def\@pnumwidth{1.5em}
\def\@tocrmarg{2.5em}
\def\@dotsep{4.5}
\setcounter{tocdepth}{3}
\def\tableofcontents{%
   \section*{\contentsname}
   \@starttoc{toc}}
\def\l@section#1#2{%
   \ifnum \c@tocdepth >\z@
      \addpenalty\@secpenalty
      \addvspace{1.0em \@plus\p@}%
      \setlength\@tempdima{1.5em}%
      \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \endgroup
   \fi}
\def\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\def\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\def\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\def\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\def\listoffigures{%
   \section*{\listfigurename}%
   \@starttoc{lof}}
\def\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\def\listoftables{%
   \section*{\listtablename}%
   \@starttoc{lot}}
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\def\thebibliography#1{%
   \section*{\refname}%
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\labelwidth\z@ \itemindent\labelsep
         \leftmargin\z@skip
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \def\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty4000
   \@clubpenalty \clubpenalty
   \widowpenalty4000%
   \sfcode`\.\@m}
\def\endthebibliography{\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\def\newblock{\ }
\let\@openbib@code\@empty
\newenvironment{theindex}
   {\if@twocolumn \@restonecolfalse \else \@restonecoltrue\fi
    \twocolumn[\section*{\indexname}]%
    \thispagestyle{plain}\parindent\z@
    \parskip\z@ \@plus .3\p@\relax
    \columnseprule \z@
    \columnsep 35\p@
    \let\item\@idxitem}
   {\if@restonecol\onecolumn\else\clearpage\fi}
\def\@idxitem{\par\hangindent 4em\relax}
\def\subitem{\@idxitem \hspace*{2em}}
\def\subsubitem{\@idxitem \hspace*{3em}}
\def\indexspace{\par \vskip \baselineskip \@plus\p@ \@minus\p@\relax}
\def\footnoterule{%
   \kern-3\p@
   \hrule\@width.4\columnwidth
   \kern2.6\p@}
\def\@makefntext#1{%
   \leftskip1.5em
   \noindent
   \llap{\@makefnmark\,}#1}
\def\contentsname{Contents}
\def\listfigurename{List of Figures}
\def\listtablename{List of Tables}
\def\refname{References}
\def\indexname{Index}
\def\partname{Part}
\def\appendixname{Appendix}
\def\abstractname{Abstract}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
%
\columnsep 10mm
\columnseprule \z@
\pagestyle{empty}
\pagenumbering{arabic}
%
%%% \maketitle
\def\title#1{\def\@title{#1}}
\let\@title\@empty
\def\subtitle#1{\def\@subtitle{#1}}
\let\@subtitle\@empty
\def\artwork#1{%
   \if@artpaper
      \def\@artwork{#1}%
   \else
      \ClassWarning{adada}{For research papers,\MessageBreak
         \string\artwork\space command is ignored}%
   \fi}
\def\@artwork{}
\newcount\@authorid \global\@authorid\z@
%%% \author{<Name>}{<Affiliation>}{<E-mail address>}
\def\author#1#2#3{%
   \global\advance\@authorid\@ne
   \@process@author{author}{#1}%
   \@process@author{affil}{#2}%
   \@process@author{address}{#3}}
\def\@process@author#1#2{%
   \def\@tempa{#2}%
   \ifx\@tempa\@space \let\@tempa\@empty \fi
   \expandafter\global\expandafter\let
      \csname @#1@\the\@authorid\endcsname\@tempa}
\def\keywords#1{\def\@keywords{#1}}
\def\@keywords{}
\newbox\@abstractbox
\def\abstract{%
   \global\setbox\@abstractbox\vbox\bgroup
      \hsize\@abstract@width \@parboxrestore
      \large \normalfont
      \textbf{\abstractname}\\ \ignorespaces}
\def\endabstract{%
   \par\egroup}
\if@artpaper
   \dimen@\paperwidth
   \advance\dimen@-82mm
   \advance\dimen@-\@sidemargin@default
   \edef\@abstract@width{\the\dimen@}
\else
   \def\@abstract@width{\textwidth}
\fi
\def\maketitle{%
   \expandafter\ifx\csname maketitle@\@papertype\endcsname\relax
      \def\@papertype{research}%
   \fi
   \csname maketitle@\@papertype\endcsname}
\newcount\@curr@author
\newbox\@titlebox
\def\maketitle@research{%
   \setbox\@titlebox\vbox{\hsize\textwidth \@parboxrestore
      \def\@maketitle@spacing{7mm}%
      \hrule \@height2\p@
      \vskip5mm
      \begingroup \fontsize{18pt}{24pt} \sffamily  \raggedright
      \ifx\@title\@empty \@message@missing@title
      \else \@title
      \fi
      \par\endgroup
      \ifx\@subtitle\@empty\else
         \dimen@\prevdepth
         \ifdim\dimen@<\z@ \dimen@\z@ \fi
         \dimen@-\dimen@ \advance\dimen@ 5mm\relax
         \nointerlineskip \vskip\dimen@
         \begingroup \large \sffamily \raggedright \@subtitle \par \endgroup
      \fi
      \nointerlineskip
      \vskip\@maketitle@spacing
      \begingroup \normalsize \sffamily \raggedright
      \@curr@author\z@
      \@whilenum\@curr@author<\@authorid\do{\@put@author{l}\qquad}%
      \par
      \endgroup
      \nointerlineskip
      \vskip\@maketitle@spacing
      \box\@abstractbox
      \ifx\@keywords\@empty\else
         \nointerlineskip \vskip5mm
         \begingroup \large
         \textbf{Keywords:}\ \@keywords
         \par\endgroup
      \fi
      \vskip5mm
      \hrule \@height2\p@
      \vskip3.5\defaultbaselineskip}%
   \@titlebox@height@adjust
   \twocolumn[\box\@titlebox]}
\def\maketitle@art{%
   \setbox\@titlebox\vbox{\hsize\textwidth \@parboxrestore
      \def\@maketitle@spacing{7mm}%
      \hbox{%
         \vtop{\hsize 50mm \@parboxrestore
            \hrule \@height\z@
            \begingroup \normalsize \sffamily \raggedleft
            \@curr@author\z@
            \@whilenum\@curr@author<\@authorid\do{\@put@author{r}\par
               \vskip\baselineskip}%
            \par\endgroup}%
         \hskip7mm \hskip-1.5\p@
         \vrule \@width3\p@
         \hskip-1.5\p@ \hskip7mm
         \vtop{\hsize\@abstract@width \@parboxrestore
            \hrule \@height\z@
            \begingroup \fontsize{18pt}{24pt} \sffamily  \raggedright
            \ifx\@title\@empty \@message@missing@title
            \else \@title
            \fi
            \par\endgroup
            \ifx\@subtitle\@empty\else
               \dimen@\prevdepth
               \ifdim\dimen@<\z@ \dimen@\z@ \fi
               \dimen@-\dimen@ \advance\dimen@ 5mm\relax
               \nointerlineskip \vskip\dimen@
               \begingroup \large \sffamily \raggedright
               \@subtitle
               \par\endgroup
            \fi
            \ifx\@artwork\@empty\else
              \nointerlineskip
              \vskip\@maketitle@spacing
              \begingroup \centering
              \includegraphics[width=110mm]{\@artwork}%
              \par\endgroup
            \fi
            \nointerlineskip
            \vskip\@maketitle@spacing
            \box\@abstractbox
            \nointerlineskip
            \vskip\@maketitle@spacing
            \ifx\@keywords\@empty\else
               \nointerlineskip \vskip5mm
               \begingroup \large
               \textbf{Keywords:}\ \@keywords
               \par\endgroup
            \fi}}%
         \vskip3.5\defaultbaselineskip}%
   \@titlebox@height@adjust
   \twocolumn[\box\@titlebox]}
\def\@titlebox@height@adjust{%
   \dimen@\ht\@titlebox
   \advance\dimen@\dp\@titlebox
   \advance\dimen@.75\defaultbaselineskip
   \advance\dimen@-\topskip
   \divide\dimen@\defaultbaselineskip
   \count@\dimen@
   \dimen@\count@\defaultbaselineskip
   \advance\dimen@\topskip
   \setbox\@titlebox\vbox to\dimen@{\unvbox\@titlebox\vfill}}
\def\@message@missing@title{[Title for this article is missing!]}
\def\@put@author#1{%
   \advance\@curr@author\@ne
   \begin{tabular}[t]{@{}#1@{}}%
     \@nameuse{@author@\the\@curr@author} \\
     \@nameuse{@affil@\the\@curr@author}  \\
     \@nameuse{@address@\the\@curr@author}
   \end{tabular}}
%
%%% math settings
\def\@mathfontcheck{%
   \@tempswafalse
   \edef\@tempa{\expandafter\noexpand\csname OML/cmm/m/it\endcsname}%
   \def\group@elt##1##2{%
      \ifx\symletters##1%
         \def\@tempb{##2}%
         \ifx\@tempa\@tempb \@tempswatrue \fi
      \fi}%
   \group@list
   \if@tempswa
      \IfFileExists{mathptmx.sty}{\RequirePackage{mathptmx}}\relax
   \fi}
\AtBeginDocument{%
   \@mathfontcheck
   \@ifpackageloaded{graphicx}\relax{\RequirePackage{graphicx}}%
   \@ifpackageloaded{amsmath}\allowdisplaybreaks\relax}
%
%%% misc
\def\debugcode{0}
%%% borrowed from pLaTeX legacy code
\def\@tombow@setup{%
\newdimen\@@paperheight
\newdimen\@@paperwidth
\newdimen\@@topmargin
\def\@outputpage{%
   \begingroup % the \endgroup is put in by \aftergroup
   \let\protect\noexpand
   \@resetactivechars
   \global\let\@@if@newlist\if@newlist
   \global\@newlistfalse
   \@parboxrestore
   \shipout\vbox{%
      \set@typeset@protect
      \aftergroup\endgroup
      \aftergroup\set@typeset@protect
      \if@specialpage
         \global\@specialpagefalse\@nameuse{ps@\@specialstyle}%
      \fi
      \if@twoside
         \ifodd\count\z@
            \let\@thehead\@oddhead
            \let\@thefoot\@oddfoot
         \else
            \let\@thehead\@evenhead
            \let\@thefoot\@evenfoot
      \fi\fi
      \@@topmargin\topmargin
      \iftombow
         \@@paperwidth\paperwidth \advance\@@paperwidth 6mm\relax
         \@@paperheight\paperheight \advance\@@paperheight 16mm\relax
         \advance\@@topmargin 1in\relax \advance\@themargin 1in\relax
      \fi
      \reset@font
      \normalsize
      \normalsfcodes
      \let\label\@gobble
      \let\index\@gobble
      \let\glossary\@gobble
      \baselineskip\z@skip \lineskip\z@skip \lineskiplimit\z@
      \@begindvi
      \@outputtombow
      \vskip \@@topmargin
      \moveright\@themargin\vbox{%
         \setbox\@tempboxa \vbox to\headheight{%
           \vfil
           \color@hbox
           \normalcolor
           \hb@xt@\textwidth{\@thehead}%
           \color@endbox}%
         \dp\@tempboxa \z@
         \box\@tempboxa
         \vskip \headsep
         \box\@outputbox
         \baselineskip \footskip
         \color@hbox
           \normalcolor
           \hb@xt@\textwidth{\@thefoot}%
         \color@endbox}}%
   \global\let\if@newlist\@@if@newlist
   \global\@colht\textheight
   \stepcounter{page}%
   \let\firstmark\botmark}
\newbox\@TL \newbox\@Tl \newbox\@TC
\newbox\@TR \newbox\@Tr
\newbox\@BL \newbox\@Bl \newbox\@BC
\newbox\@BR \newbox\@Br
\newbox\@CL \newbox\@CR
\font\@bannerfont=cmtt9
\newtoks\@bannertoken
\@bannertoken{}
\newdimen\@tombowwidth
\@tombowwidth .15\p@
\def\maketombowbox{%
  \setbox\@TL\hbox to\z@{\hss
      \vrule width13mm height\@tombowwidth depth\z@
      \vrule height10mm width\@tombowwidth depth\z@
      \raise4pt\hbox to\z@{\hskip5mm\@bannerfont\the\@bannertoken\hss}}%
  \setbox\@Tl\hbox to\z@{\hss
      \vrule width10mm height\@tombowwidth depth\z@
      \vrule height13mm width\@tombowwidth depth\z@}%
  \setbox\@TC\hbox{%
      \vrule width10mm height\@tombowwidth depth\z@
      \vrule height10mm width\@tombowwidth depth\z@
      \vrule width10mm height\@tombowwidth depth\z@}%
  \setbox\@TR\hbox to\z@{%
      \vrule height10mm width\@tombowwidth depth\z@
      \vrule width13mm height\@tombowwidth depth\z@\hss}%
  \setbox\@Tr\hbox to\z@{%
      \vrule height13mm width\@tombowwidth depth\z@
      \vrule width10mm height\@tombowwidth depth\z@\hss}%
  \setbox\@BL\hbox to\z@{\hss
      \vrule width13mm depth\@tombowwidth height\z@
      \vrule depth10mm width\@tombowwidth height\z@}%
  \setbox\@Bl\hbox to\z@{\hss
      \vrule width10mm depth\@tombowwidth height\z@
      \vrule depth13mm width\@tombowwidth height\z@}%
  \setbox\@BC\hbox{%
      \vrule width10mm depth\@tombowwidth height\z@
      \vrule depth10mm width\@tombowwidth height\z@
      \vrule width10mm depth\@tombowwidth height\z@}%
  \setbox\@BR\hbox to\z@{%
      \vrule depth10mm width\@tombowwidth height\z@
      \vrule width13mm depth\@tombowwidth height\z@\hss}%
  \setbox\@Br\hbox to\z@{%
      \vrule depth13mm width\@tombowwidth height\z@
      \vrule width10mm depth\@tombowwidth height\z@\hss}%
  \setbox\@CL\hbox to\z@{\hss
      \vrule width10mm height.5\@tombowwidth depth.5\@tombowwidth
      \vrule height10mm depth10mm width\@tombowwidth}%
  \setbox\@CR\hbox to\z@{%
      \vrule height10mm depth10mm width\@tombowwidth
      \vrule height.5\@tombowwidth depth.5\@tombowwidth width10mm\hss}}
\def\@outputtombow{%
   \iftombow
      \vbox to\z@{\kern-13mm\relax
         \moveleft3mm\vbox to\@@paperheight{%
            \hbox to\@@paperwidth{\hskip3mm\relax
               \copy\@TL\hfill\copy\@TC\hfill\copy\@TR\hskip3mm}%
            \kern-10mm
            \hbox to\@@paperwidth{\copy\@Tl\hfill\copy\@Tr}%
            \ifnum\debugcode>\z@
               \vbox to\z@{%
                  \dimen@ 1in\relax
                  \advance\dimen@\topmargin
                  \advance\dimen@\headheight
                  \advance\dimen@\headsep
                  \kern\dimen@
                  \dimen@ 3mm\relax
                  \advance\dimen@\@themargin
                  \moveright\dimen@\vbox to\textheight{%
                     \dimen@.1\p@
                     \hrule \@height\dimen@\kern-\dimen@
                     \hbox to\textwidth{%
                        \vrule \@height\textheight \@width\dimen@
                        \kern-\dimen@
                        \hfil
                        \kern-\dimen@
                        \vrule \@height\textheight \@width\dimen@}%
                     \kern-\dimen@\hrule \@height\dimen@}%
                  \vss}%
            \fi
            \vfill
            \hbox to\@@paperwidth{\copy\@CL\hfill\copy\@CR}%
            \vfill
            \hbox to\@@paperwidth{\copy\@Bl\hfill\copy\@Br}%
            \kern-10mm
            \hbox to\@@paperwidth{\hskip3mm\relax
               \copy\@BL\hfill\copy\@BC\hfill\copy\@BR\hskip3mm}%
         }%
      \vss}%
   \fi}
\maketombowbox}
\iftombow \@tombow@setup \fi
%
%%%
\if@twocolumn
   \twocolumn
   \sloppy
   \flushbottom
\else
   \onecolumn
   \raggedbottom
\fi
\endinput
%%
%% End of file `adada.cls'.
